package eu.beesoft.gantt.demo;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class Project extends Task {

	private List<Resource> resources;



	public Project () {
		// empty
	}



	@Override
	public Project getProject () {
		return this;
	}



	@Override
	public boolean isSummary () {
		return true;
	}



	@Override
	public boolean isMilestone () {
		return false;
	}



	/**
	 * @return the resources
	 */
	public List<Resource> getResources () {
		if (resources == null) {
			return Collections.emptyList ();
		}
		return resources;
	}



	/**
	 * @param resources
	 *            the resources to set
	 */
	public void setResources (List<Resource> resources) {
		this.resources = resources;
	}



	public void addResource (Resource resource) {
		if (resources == null) {
			resources = new ArrayList<Resource> ();
		}
		resources.add (resource);
	}



	public void removeResource (Resource resource) {
		if (resources != null) {
			resources.remove (resource);
		}
	}
}
