package eu.beesoft.gantt.demo;

import java.awt.event.ActionEvent;
import java.util.List;
import javax.swing.Action;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import eu.beesoft.gantt.JGantt;
import eu.beesoft.gantt.action.AbstractTreeTableAction;
import eu.beesoft.gantt.treetable.GanttNode;
import eu.beesoft.gantt.undo.UndoStep;

@SuppressWarnings ("serial")
public class TaskPropertiesAction extends AbstractTreeTableAction {

	public TaskPropertiesAction (JGantt gantt) {
		super (gantt);
	}



	protected boolean executeAction (ActionEvent event, UndoStep undo) {
		List<GanttNode> nodes = getSelectedNodes ();
		if (!nodes.isEmpty ()) {
			GanttNode node = nodes.get (0);
			Task task = (Task) node.getUserObject ();
			showTaskProperties (task, getGantt ());
		}
		return false;
	}



	public static void showTaskProperties (Task task, final JGantt gantt) {
		final TaskForm form = new TaskForm (task, gantt);
		final Action[] actions = form.getActions ();
		SwingUtilities.invokeLater (new Runnable () {

			public void run () {
				form.showDialog ((JFrame) gantt.getTopLevelAncestor (),
				        "Edit task properties", actions);
			}
		});
	}
}
